BBCombinedEvent
Keywords: wiiremotej.event.BBCombinedEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class BBCombinedEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.BBEvent
              wiiremotej.event.BBCombinedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class BBCombinedEvent

extends BBEvent

Combined event for Nintendo (R) Balance Board (TM). Contains events returned from buttons and the mass sensors.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BBCombinedEvent(BalanceBoard source, BBButtonEvent BEvt, BBMassEvent MEvt)` Creates a new BBCombinedEvent from the given events.

Method Summary
`BBButtonEvent` | `getButtonEvent()` Returns the button event of this combined event.
`BBMassEvent` | `getMassEvent()` Returns the mass event of this combined event.

Methods inherited from class wiiremotej.event.BBEvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BBCombinedEvent

    public BBCombinedEvent(BalanceBoard source,
                           BBButtonEvent BEvt,
                           BBMassEvent MEvt)

  Creates a new BBCombinedEvent from the given events. The events should not be `null`.

  Parameters:
    `source` - the BalanceBoard triggering this event.
    `BEvt` - the button event of this combined event.
    `MEvt` - the mass event of this combined event.

Method Detail

### getButtonEvent

    public BBButtonEvent getButtonEvent()

  Returns the button event of this combined event.

  Returns:
    the button event of this combined event.

### getMassEvent

    public BBMassEvent getMassEvent()

  Returns the mass event of this combined event.

  Returns:
    the mass event of this combined event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD